Name: 		liquidwar
Version: 	5.6.5
Release: 	%mkrel 5
Summary:	Unique multiplayer wargame
License:	GPLv2+
Group:		Games/Arcade
URL: 		http://www.ufoot.org/liquidwar/v5
Source0:	http://www.ufoot.org/download/liquidwar/v5/%{version}/%{name}-%{version}.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch0:		liquidwar-5.6.5-python3.patch
Patch1:         gcc10.patch

BuildRequires:	pkgconfig(python3)
# Main allegro4 package contains dev tools
BuildRequires:	allegro4
BuildRequires:	allegro4-devel
# for buildinfo files
BuildRequires:	texinfo

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from
2 to 6 players. There are no weapons, the only thing you have to do is to
move a cursor in a 2-D battlefield. This cursor is followed by your army,
which is composed by a great many little fighters. Fighters are represented
by small colored squares. All the fighters who have the same color belong
to the same team. One very often controls several thousands fighters at the
same time. And when fighters from different teams meet, they eat each
other, it is as simple as that.


%prep
%setup -q
%patch0 -p0
%patch1 -p1

# do not strip the binaries please
sed -i 's/install\(\s\+-c\)\?\s\+-s/install/g' Makefile.in

%build
%configure \
  --disable-doc-pdf \
  --disable-doc-ps \
  --disable-doc-info \
%ifnarch %ix86
  --disable-asm \
%endif
  LDFLAGS="%{ldflags} -lm"
  CFLAGS="%{optflags}"
  PYTHON="%{__python3}"

%make_build

# make docs utf-8
gzip -cd doc/info/%{name}.info.gz | \
  iconv -f ISO-8859-1 -t UTF8 > doc/info/%{name}.info
gzip -f doc/info/%{name}.info

%install
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' Makefile
%make_install

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}%{_datadir}/doc/liquidwar %{buildroot}%{_datadir}/pixmaps

# remove unused links
rm -rf %{buildroot}%{_bindir}

%files
%doc COPYING doc/html/*.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*
%{_infodir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog
* Wed Oct 21 2020 joequant <joequant> 5.6.5-5.mga8
+ Revision: 1637695
- fix build on aarch64
+ ovitters <ovitters>
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Feb 25 2020 daviddavid <daviddavid> 5.6.5-3.mga8
+ Revision: 1550257
- disable doc info
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 daviddavid <daviddavid> 5.6.5-2.mga8
+ Revision: 1426865
- port to Python 3

* Sun Mar 24 2019 zezinho <zezinho> 5.6.5-1.mga7
+ Revision: 1379922
- new version 5.6.5

* Sun Jan 27 2019 daviddavid <daviddavid> 5.6.4-16.mga7
+ Revision: 1361231
- add debian patch to build with fix*-functions in Allegro, instead of
  f*-functions, fixes conflict in glibc

* Sun Sep 23 2018 umeabot <umeabot> 5.6.4-15.mga7
+ Revision: 1299319
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 5.6.4-14.mga7
+ Revision: 1239319
- fix build on aarch64

* Fri Mar 17 2017 akien <akien> 5.6.4-13.mga6
+ Revision: 1093404
- BR allegro4 which contains necessary dev tools
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 5.6.4-12.mga6
+ Revision: 961281
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 5.6.4-11.mga6
+ Revision: 892993
- do not strip debug files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 5.6.4-10.mga5
+ Revision: 749662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.6.4-9.mga5
+ Revision: 681956
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.6.4-8.mga4
+ Revision: 507506
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.6.4-7.mga3
+ Revision: 358864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 12 2011 stormi <stormi> 5.6.4-6.mga2
+ Revision: 123480
- increase release so that it's higher than in Mageia 1

* Tue Jun 14 2011 zezinho <zezinho> 5.6.4-5.mga2
+ Revision: 106024
- imported package liquidwar

